[metadata]
name = bpython
long_description = file: README.rst
license = MIT
license_file = LICENSE
url = https://www.bpython-interpreter.org/
project_urls = 
	GitHub = https://github.com/bpython/bpython
	Documentation = https://doc.bpython-interpreter.org
classifiers = 
	Programming Language :: Python :: 3

[options]
python_requires = >=3.6
packages = 
	bpython
	bpython.curtsiesfrontend
	bpython.test
	bpython.test.fodder
	bpython.translations
	bpdb
install_requires = 
	backports.cached-property; python_version < "3.8"
	curtsies >=0.3.5
	dataclasses; python_version < "3.7"
	cwcwidth
	greenlet
	pygments
	pyxdg
	requests
	typing-extensions

[options.extras_require]
clipboard = pyperclip
jedi = jedi >= 0.16
urwid = urwid
watch = watchdog

[options.entry_points]
console_scripts = 
	bpython = bpython.curtsies:main
	bpython-curses = bpython.cli:main
	bpython-urwid = bpython.urwid:main [urwid]
	bpdb = bpdb:main

[init_catalog]
domain = bpython
input_file = bpython/translations/bpython.pot
output_dir = bpython/translations

[compile_catalog]
domain = bpython
directory = bpython/translations
use_fuzzy = true

[update_catalog]
domain = bpython
input_file = bpython/translations/bpython.pot
output_dir = bpython/translations

[extract_messages]
output_file = bpython/translations/bpython.pot
msgid_bugs_address = https://github.com/bpython/bpython/issues

[build_sphinx_man]
builder = man
source_dir = doc/sphinx/source
build_dir = build

[mypy]
warn_return_any = True
warn_unused_configs = True
mypy_path = stubs
files = bpython

[mypy-jedi]
ignore_missing_imports = True

[mypy-urwid]
ignore_missing_imports = True

[egg_info]
tag_build = 
tag_date = 0

